<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class RespuestaReporteRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'respuesta' => 'required|not_in:0',
            'motivo' => 'required'
        ];
    }

    public function messages(){
        return [
          'respuesta.required' => 'Debes elegir una respuesta.',
          'respuesta.not_in' => 'Debes elegir una respuesta.',
          'motivo.required' => 'Es necesario ingresar el motivo.'
        ];

    }
}
